#%define cvsdate 20040719043727
%define aurox_ver 10.1
%define rel 1

%define aprver 0

Summary: Apache Portable Runtime library
Name: apr
Version: 0.9.5
Release: %{aurox_ver}.aur.%{rel}
License: Apache Software License
Group: System Environment/Libraries
URL: http://apr.apache.org/
Source0: %{name}-%{version}.tar.gz
#Source0: %{name}-APR_0_9_BRANCH_%{cvsdate}.tar.gz

Patch0: apr-0.9.x-deplibs.patch
Patch1: apr-0.9.4-config.patch
Patch2: apr-0.9.3-testrand.patch
Patch3: apr-0.9.3-noipv6.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildPrereq: autoconf, libtool, doxygen
Conflicts: subversion < 0.20.1-2

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines, forming a system
portability layer to as many operating systems as possible,
including Unices, MS Win32, BeOS and OS/2.

%package devel
Group: Development/Libraries
Summary: APR library development kit
Requires: apr = %{version}, libtool
Conflicts: subversion-devel < 0.20.1-2

%description devel
This package provides the support files which can be used to 
build applications using the APR library.  The mission of the
Apache Portable Runtime (APR) is to provide a free library of 
C data structures and routines.

%prep
#%setup -q -n %{name}-APR_0_9_BRANCH
%setup -q
%patch0 -p1 -b .deplibs
#%patch1 -p1 -b .config
%patch2 -p1 -b .testrand
%patch3 -p1 -b .noipv6

# regenerate configure script etc.
./buildconf

# fix permissions
chmod 644 include/*.h

%build
# disable setpshared and sem_open, which only work on NPTL kernels
#cat > config.cache <<EOF
#ac_cv_func_pthread_mutexattr_setpshared=no
#ac_cv_func_sem_open=no
#EOF
%configure -C \
        --includedir=%{_includedir}/apr-%{aprver} \
        --with-installbuilddir=%{_libdir}/apr/build

# build everything using /usr/bin/libtool
perl -pi -e 's|^LIBTOOL=.*$|LIBTOOL=\$(SHELL) /usr/bin/libtool|' build/apr_rules.mk

make LT_LDFLAGS=-Wc,-pthread %{?_smp_mflags} && make dox

# Run non-interactive tests
cd test && make testall && TZ=PST8PDT ./testall -v || : 
# exit 1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# These are referenced by apr_rules.mk
for f in make_exports.awk make_var_export.awk; do
    install -m 644 build/${f} $RPM_BUILD_ROOT%{_libdir}/apr/build/${f}
done

install -m 755 build/mkdir.sh $RPM_BUILD_ROOT%{_libdir}/apr/build/mkdir.sh

# Sanitize apr_rules.mk
perl -pi -e "s/^apr_build.*=.*$//;" \
   -e 's|$(apr_builders)|%{_libdir}/apr/build|g' \
   $RPM_BUILD_ROOT%{_libdir}/apr/build/apr_rules.mk

# Move docs to more convenient location
mv docs/dox/html html

# Unpackaged files:
rm -f $RPM_BUILD_ROOT%{_libdir}/apr/build/libtool \
      $RPM_BUILD_ROOT%{_libdir}/apr.exp

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE 
%{_libdir}/libapr-%{aprver}.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/APRDesign.html docs/canonical_filenames.html
%doc docs/incomplete_types docs/non_apr_programs
%doc --parents html
%{_bindir}/apr-config
%{_libdir}/libapr-%{aprver}.*a
%{_libdir}/libapr-%{aprver}.so
%dir %{_libdir}/apr
%dir %{_libdir}/apr/build
%{_libdir}/apr/build/*
%dir %{_includedir}/apr-%{aprver}
%{_includedir}/apr-%{aprver}/*.h

%changelog
* Wed Dec 08 2004 Aurox Team <aurox@aurox.org> 0:0.9.5-10.1.aur.1
- we're back to previous version
- problems with test: pipe testing exits with ERR
- new CVS snapshot 20040719043727
- rebuild for Aurox 10.0
- updated snapshot og 0.9.5

* Mon Jul 21 2003 Robert Glowczynski <robertg@software.com.pl> 0.9.4-9.1.aur.2
- update to the version included with Apache 2.0.47

* Tue Jun 03 2003 Robert Glowczynski <robertg@software.com.pl> 0.9.4-9.1.aur.1
- update to the version included with Apache 2.0.46

* Tue May 20 2003 Joe Orton <jorton@redhat.com> 0.9.3-5
- add fix for psprintf memory corruption (CAN-2003-0245)
- remove executable bit from apr_poll.h

* Thu May  1 2003 Joe Orton <jorton@redhat.com> 0.9.3-4
- link libapr against libpthread
- make apr-devel conflict with old subversion-devel
- fix License

* Tue Apr 29 2003 Joe Orton <jorton@redhat.com> 0.9.3-3
- run ldconfig in post/postun

* Tue Apr 29 2003 Joe Orton <jorton@redhat.com> 0.9.3-2
- patch test suite to not care if IPv6 is disabled

* Mon Apr 28 2003 Joe Orton <jorton@redhat.com> 0.9.3-1
- initial build
